Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 26/04/2012, à 17:51

clement.analogue

ATI/AMD proprietary FGLRX graphics driver (post-release updates)

Bonjour,

L'installation des pilotes "ATI/AMD proprietary FGLRX graphics driver (post-release updates)" ne fonctionne pas sur mon laptop HP Pavillon dv7-4176sf. Les logs :

2012-04-26 17:26:57,579 WARNING: /sys/module/fglrx_updates/drivers does not exist, cannot rebind fglrx_updates driver
2012-04-26 17:27:20,726 DEBUG: fglrx.enabled(fglrx_updates): target_alt None current_alt /usr/lib/fglrx/ld.so.conf other target alt None other current alt /usr/lib/fglrx/alt_ld.so.conf
2012-04-26 17:27:20,727 DEBUG: fglrx_updates is not the alternative in use
2012-04-26 17:27:20,753 DEBUG: fglrx.enabled(fglrx_updates): target_alt None current_alt /usr/lib/fglrx/ld.so.conf other target alt None other current alt /usr/lib/fglrx/alt_ld.so.conf
2012-04-26 17:27:20,753 DEBUG: fglrx_updates is not the alternative in use

Si j'installe le paquet fglrx-updates avec apt-get, je lance ensuite la commande

$ sudo aticonfig --initial -f

J'obtiens :

Uninitialised file found, configuring.
PowerXpress info: Diagnostic output from /usr/lib/fglrx/switchlibglx:
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: not replacing /usr/lib/x86_64-linux-gnu/xorg/extra-modules with a link.

Using /etc/X11/xorg.conf
Saving back-up to /etc/X11/xorg.conf.original-2

Si j'installe les pilotes "ATI/AMD proprietary FGLRX graphics driver", je n'ai pas de message d'erreur, mais lorsque je reboote, l'accélération 3D ne semble plus fonctionné (plus de gnome-shell).

$ fglrxinfo 
X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  154 (GLX)
  Minor opcode of failed request:  19 (X_GLXQueryServerString)
  Serial number of failed request:  12
  Current serial number in output stream:  12
$ fgl_glxgears 
Using GLX_SGIX_pbuffer
X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  154 (GLX)
  Minor opcode of failed request:  19 (X_GLXQueryServerString)
  Serial number of failed request:  12
  Current serial number in output stream:  12

Si je compile les drivers catalyst, "ça casse tout" : pas de message d'erreur, au reboot, le système s'arrête avant la session graphique, pas d'accès à la session en low graphics. Le recovery mode ne fonctionne que lors de la mise sous tension de l'ordinateur mais pas après un reboot.

Merci d'avance pour votre aide.

Dernière modification par clement.analogue (Le 29/04/2012, à 15:51)


Association Ubuntu-Lyon : Organisation d'événements autour d'Ubuntu sur Lyon.

Venez discuter philosophie, exposez vos textes et réflexions, ...
Forum Analogue : Philosophie, sciences, art, actualité, etc.

Hors ligne

#2 Le 26/04/2012, à 22:16

opt

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

clement.analogue a écrit :

Bonjour,

L'installation des pilotes "ATI/AMD proprietary FGLRX graphics driver (post-release updates)" ne fonctionne pas.
. . .
Si j'installe les pilotes "ATI/AMD proprietary FGLRX graphics driver", je n'ai pas de message d'erreur, mais lorsque je reboote, je suis en mode low graphics.

Idem pour moi ;(

Enfin presque, il me renvoie au jockey.log dans les deux cas (post-release ou pas)

Pour info:

$ lspci|grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV730XT [Radeon HD 4670]

$ lshw -C display
  *-display               
       description: VGA compatible controller
       produit: RV730XT [Radeon HD 4670]
       fabriquant: Hynix Semiconductor (Hyundai Electronics)
       identifiant matériel: 0
       information bus: pci@0000:01:00.0
       version: 00
       bits: 64 bits
       horloge: 33MHz
       fonctionnalités: pm pciexpress msi vga_controller bus_master cap_list rom
       configuration: driver=fglrx_pci latency=0
       ressources: irq:16 mémoire:e0000000-efffffff mémoire:fbae0000-fbaeffff portE/S:ae00(taille=256) mémoire:fba00000-fba1ffff

$ lsb_release -a
No LSB modules are available.
Distributor ID:    Ubuntu
Description:    Ubuntu 12.04 LTS
Release:    12.04
Codename:    precise

$ uname -a
Linux blackbox 3.2.0-24-generic-pae #37-Ubuntu SMP Wed Apr 25 10:47:59 UTC 2012 i686 i686 i386 GNU/Linux

$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 1600 x 1600
DFP1 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0*+
   1152x648       60.0 +
   1280x960       60.0  
   1280x800       60.0  
   1152x864       60.0  
   1280x768       59.9  
   1280x720       60.0  
   1024x768       60.0  
   800x600        60.3  
   720x480        60.0  
   640x480        60.0  
DFP2 disconnected (normal left inverted right x axis y axis)
CRT1 disconnected (normal left inverted right x axis y axis)
CRT2 disconnected (normal left inverted right x axis y axis)

J'avais eu un problème similaire lors du passage à Ubuntu11.10 mais en choisissant un des deux pilotes (j'sais plus lequel ^.^) ça avait fini par passer

Dernière modification par opt (Le 26/04/2012, à 22:45)

Hors ligne

#3 Le 26/04/2012, à 23:02

clement.analogue

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

J'ai aussi eu ce problème avec la 11.04, mais par compilation, ça passait.
Ce problème est survenu avec la 11.10, je pensais que ça allait être règlé avec la 12.04, mais le problème persiste.

Tiens, ça vient peut-être des ATI Radeon HD :

$ lspci|grep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Manhattan [Mobility Radeon HD 5400 Series]
$ sudo lshw -C display
  *-display               
       description: VGA compatible controller
       product: Manhattan [Mobility Radeon HD 5400 Series]
       vendor: Hynix Semiconductor (Hyundai Electronics)
       physical id: 0
       bus info: pci@0000:01:00.0
       version: 00
       width: 64 bits
       clock: 33MHz
       capabilities: pm pciexpress msi vga_controller bus_master cap_list rom
       configuration: driver=radeon latency=0
       resources: irq:46 memory:a0000000-afffffff memory:c4400000-c441ffff ioport:4000(size=256) memory:c4440000-c445ffff
  *-display
       description: VGA compatible controller
       product: Core Processor Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 02
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:43 memory:c0000000-c03fffff memory:b0000000-bfffffff ioport:5050(size=8)
$ lsb_release -a
No LSB modules are available.
Distributor ID:    Ubuntu
Description:    Ubuntu 12.04 LTS
Release:    12.04
Codename:    precise
$ uname -a
Linux laptop 3.2.0-23-generic #36-Ubuntu SMP Tue Apr 10 20:39:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
$ xrandr
Screen 0: minimum 320 x 200, current 1600 x 900, maximum 8192 x 8192
LVDS1 connected 1600x900+0+0 (normal left inverted right x axis y axis) 382mm x 215mm
   1600x900       60.1*+
   1440x900       59.9  
   1360x768       59.8     60.0  
   1152x864       60.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 disconnected (normal left inverted right x axis y axis)

Association Ubuntu-Lyon : Organisation d'événements autour d'Ubuntu sur Lyon.

Venez discuter philosophie, exposez vos textes et réflexions, ...
Forum Analogue : Philosophie, sciences, art, actualité, etc.

Hors ligne

#4 Le 26/04/2012, à 23:33

opt

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

Bon je suis passé sous Unity pour tenter d'installer un des deux pilotes
Ça a "presque" marché :
Le "À jour" (post...) ne passe pas mais le "standard" (ie + ancien) s'installe "correctement", sauf que les performances sont cata (limite inutilisables pour de la 3D mais au moins ça démarre), et que ça m'a bousillé ma config gnome classic (notamment le sélecteur d'espace de travail qui est complètement à la ramasse et "plante" quand je change d'espace)

D'autre part lors du premier log sur GnomeClassic il faut environ 10à 15secondes d'écran noir, après log gdm, pour voir s'afficher le bureau sad au lieu d'environ 0.5 à 1 secondes avant le passage à la 12.04)
Mais bon la 12.04 prend environ 2 à 3 fois plus de temps pour démarrer mon PC aussi sad environ 10-15 points rouges/blancs contre 4-5 pour la 11.10 sad sans parler du temps juste après GRUB qui est plus long aussi

En clair ça progresse mais c'est loin d'être résolu sad je continues à creuser...

Ça me gave déjà... j'aurais p'têt pas du faire la migration si rapidement sur une machine de prod ^.^

Dernière modification par opt (Le 26/04/2012, à 23:37)

Hors ligne

#5 Le 26/04/2012, à 23:52

opt

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

Bon je viens de voir qu'il y avait le "même" bug signalé pour la 11.10 et qu'au 15 mars 2012 il n'était pas résolu sad
Mais qu'une installation manuelle des "derniers" pilotes AMD était possible...

Mon gnome classic a vraiment été complètement bousillé par le passage sur Unity et/ou ces manips de drivers: même un bête Alt-Tab ne marche pas pour passer d'une fenêtre à une autre >-(

Dernière modification par opt (Le 26/04/2012, à 23:53)

Hors ligne

#6 Le 27/04/2012, à 09:59

opt

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

Bon, au démarrage ce matin Gnome Classic a retrouvé un fonctionnement normal smile C'est toujours ça de pris mais je ne sait pas du tout d'où ça vient !?!

Pour les pilote je n'ai pas avancé beaucoup pour le moment... j'ai tenté d'installer "à la main" les dernier pilotes AMD, mais, là aussi, ça bloque, sur le module DKMS:

$ cat /usr/share/ati/fglrx-install.log 

Detected a previous installation, /usr/share/ati/amd-uninstall.sh
Dryrun uninstall succeeded continuing with installation.
Uninstalling any previously installed drivers.
Forcing uninstall of AMD Catalyst(TM) Proprietary Driver.
No integrity verification is done.
restore of system environment completed
Errors during DKMS module removal
Uninstall fglrx driver complete.
For detailed log of uninstall, please see /etc/ati/fglrx-uninstall.log
System must be rebooted to avoid system instability and potential data loss.
/usr/share/ati/amd-uninstall.sh completed with 0

Creating symlink /var/lib/dkms/fglrx/8.961/source ->
                 /usr/src/fglrx-8.961

DKMS: add completed.

Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area....
cd /var/lib/dkms/fglrx/8.961/build; sh make.sh --nohints --uname_r=3.2.0-24-generic-pae --norootcheck....(bad exit status: 1)
[Error] Kernel Module : Failed to build fglrx-8.961 with DKMS
[Error] Kernel Module : Removing fglrx-8.961 from DKMS

------------------------------
Deleting module version: 8.961
completely from the DKMS tree.
------------------------------
Done.
[Reboot] Kernel Module : update-initramfs

Si quelqu'un se promène par ici et a une carte ATI/AMD tournant correctement sur Precise roll ça serait sympa de nous le signaler wink

Dernière modification par opt (Le 27/04/2012, à 10:02)

Hors ligne

#7 Le 27/04/2012, à 10:14

opt

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

Tentative d'installation via Synaptic de fglrx-updates et fglrx-amdcccle-updates :

Selecting previously unselected package fglrx-updates.
(Lecture de la base de données... 611010 fichiers et répertoires déjà installés.)
Dépaquetage de fglrx-updates (à partir de .../fglrx-updates_2%3a8.960-0ubuntu1_i386.deb) ...
restore of system environment completed
Error! There are no instances of module: fglrx
8.961 located in the DKMS tree.
Errors during DKMS module removal
Uninstall fglrx driver complete.
For detailed log of uninstall, please see /etc/ati/fglrx-uninstall.log
System must be rebooted to avoid system instability and potential data loss.
Selecting previously unselected package fglrx-amdcccle-updates.
Dépaquetage de fglrx-amdcccle-updates (à partir de .../fglrx-amdcccle-updates_2%3a8.960-0ubuntu1_i386.deb) ...
Traitement des actions différées (« triggers ») pour « libc-bin »...
ldconfig deferred processing now taking place
Traitement des actions différées (« triggers ») pour « initramfs-tools »...
update-initramfs: Generating /boot/initrd.img-3.2.0-24-generic-pae
Traitement des actions différées (« triggers ») pour « ureadahead »...
ureadahead will be reprofiled on next reboot
Paramétrage de fglrx-updates (2:8.960-0ubuntu1) ...
update-alternatives: utilisation de « /usr/lib/fglrx/ld.so.conf » pour fournir « /etc/ld.so.conf.d/i386-linux-gnu_GL.conf » (i386-linux-gnu_gl_conf) en mode automatique.
update-alternatives: avertissement: création de /etc/OpenCL/vendors/amdocl64.icd abandonnée car le fichier associé /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (du groupe de liens i386-linux-gnu_gl_conf) n'existe pas.
update-alternatives: avertissement: création de /usr/lib32/libaticalcl.so abandonnée car le fichier associé /usr/lib32/fglrx/libaticalcl.so (du groupe de liens i386-linux-gnu_gl_conf) n'existe pas.
update-alternatives: avertissement: création de /usr/lib32/libaticalrt.so abandonnée car le fichier associé /usr/lib32/fglrx/libaticalrt.so (du groupe de liens i386-linux-gnu_gl_conf) n'existe pas.
update-alternatives: avertissement: forçage de la réinstallation de l'alternative /usr/lib/fglrx/ld.so.conf car le groupe de liens i386-linux-gnu_gl_conf est cassé
update-alternatives: avertissement: création de /etc/OpenCL/vendors/amdocl64.icd abandonnée car le fichier associé /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (du groupe de liens i386-linux-gnu_gl_conf) n'existe pas.
update-alternatives: avertissement: création de /usr/lib32/libaticalcl.so abandonnée car le fichier associé /usr/lib32/fglrx/libaticalcl.so (du groupe de liens i386-linux-gnu_gl_conf) n'existe pas.
update-alternatives: avertissement: création de /usr/lib32/libaticalrt.so abandonnée car le fichier associé /usr/lib32/fglrx/libaticalrt.so (du groupe de liens i386-linux-gnu_gl_conf) n'existe pas.
update-alternatives: utilisation de « /usr/lib/fglrx/alt_ld.so.conf » pour fournir « /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf » (x86_64-linux-gnu_gl_conf) en mode automatique.
update-initramfs: deferring update (trigger activated)
update-initramfs: Generating /boot/initrd.img-3.2.0-24-generic-pae
Loading new fglrx-updates-8.960 DKMS files...
Building only for 3.2.0-24-generic-pae
Building for architecture i686
Building initial module for 3.2.0-24-generic-pae
Done.

fglrx_updates:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-24-generic-pae/updates/dkms/

depmod....

DKMS: install completed.
update-initramfs: deferring update (trigger activated)
Traitement des actions différées (« triggers ») pour « bamfdaemon »...
Rebuilding /usr/share/applications/bamf.index...
Paramétrage de fglrx-amdcccle-updates (2:8.960-0ubuntu1) ...
Traitement des actions différées (« triggers ») pour « initramfs-tools »...
update-initramfs: Generating /boot/initrd.img-3.2.0-24-generic-pae
Traitement des actions différées (« triggers ») pour « libc-bin »...
ldconfig deferred processing now taking place

"on" va voir ce que ça donne...

Dernière modification par opt (Le 27/04/2012, à 10:15)

Hors ligne

#8 Le 27/04/2012, à 12:58

straet

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

Ce matin j'ai fais une installation "propre" de la 12.04 en 64.  Propre je veux dire en formatant le / et conservant le /home intacte (data important oblige)

Au deuxième démarrage Ubuntu m'a proposé les pilotes propriétaires.  J'ai installé et tout va bien. C'est un portable avec une Ati 5730

Dernière modification par straet (Le 27/04/2012, à 12:58)


1 - Portable Asus N76V (SSD 120Go - I7 3610QM - GFORCE GT650M - 8Go) : Seven 64 & Ubuntu 13.04
2 - Fixe (Gigabyte H67MA-USB3 - I5-2500K - ATI HD6450 - HD Rack - 8Go) : Voyager 13.04 - Mac OS Lion - Win 8
3 - Imprimantes Canon Pixma MP560 & Epson S22
Merci à GNU/Linux qui me pousse à réfléchir et me permet d'être créatif à 60 ans.

Hors ligne

#9 Le 27/04/2012, à 13:23

clement.analogue

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

Ne fonctionne pas chez moi, même après une ré installation.


Association Ubuntu-Lyon : Organisation d'événements autour d'Ubuntu sur Lyon.

Venez discuter philosophie, exposez vos textes et réflexions, ...
Forum Analogue : Philosophie, sciences, art, actualité, etc.

Hors ligne

#10 Le 27/04/2012, à 13:40

opt

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

straet a écrit :

Ce matin j'ai fais une installation "propre" de la 12.04 en 64.  Propre je veux dire en formatant le / et conservant le /home intacte (data important oblige)

Argh, moi j'ai vraiment un tas de soft installés/configurés au fil des années... pas trop envie de tout me retaper ;(

straet a écrit :

Au deuxième démarrage Ubuntu m'a proposé les pilotes propriétaires.  J'ai installé et tout va bien. C'est un portable avec une Ati 5730

Tu tournes avec Unity ou autre chose ? (genre Gnome Classic ^.^ ou xfce...)

Hors ligne

#11 Le 27/04/2012, à 13:45

opt

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

opt a écrit :

"on" va voir ce que ça donne...

Bon ben si je garde le pilote libre tout marche à peu près bien mais pas de 3D sad

Si je prends l'AMD 8.960 j'ai la 3D, mais avec des perfs de daube (en gros 15fps avec Precise au lieu de 75 sur Oneiric, mais je ne me rapelles plus de la version des pilote utilisée) et Gnome Classic dans les choux (pas de Alt-Tab, espaces de travail qui plante...)

Le 8.961 j'ai po réussi à l'installer pour le moment (blème de DKMS...)

C'est la fête en gros ^.^

Je viens de tenter une install pure de Precise sur un PC à côté (avec graphique Intel embarqué) c'est pas brillant non plus: la 3D semblait marcher (testé une fois avec extreme tuxracer) mais après les mises à jour proposées impossible de redémarrer etracer !?! Pas encore essayé d'y coller gnome classic mais bon, ça commence à m'fatiguer là ^.^
Et j'ai un tas de machines à installer... sad

Dernière modification par opt (Le 27/04/2012, à 13:47)

Hors ligne

#12 Le 27/04/2012, à 13:49

straet

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

"Argh, moi j'ai vraiment un tas de soft installés/configurés au fil des années... pas trop envie de tout me retaper ;("

Dans ce cas je te comprends.  Le souci, la mise à jour ne va-t-elle pas cassé des paquets ?

Seb24 propose de réinstaller sans formater son /.  Directement dessus et il dit que cela fonctionne bien aussi

Unity je n'aime pas du tout.  J'ai installé, à côté, Gnome 3.

Dernière modification par straet (Le 27/04/2012, à 13:52)


1 - Portable Asus N76V (SSD 120Go - I7 3610QM - GFORCE GT650M - 8Go) : Seven 64 & Ubuntu 13.04
2 - Fixe (Gigabyte H67MA-USB3 - I5-2500K - ATI HD6450 - HD Rack - 8Go) : Voyager 13.04 - Mac OS Lion - Win 8
3 - Imprimantes Canon Pixma MP560 & Epson S22
Merci à GNU/Linux qui me pousse à réfléchir et me permet d'être créatif à 60 ans.

Hors ligne

#13 Le 27/04/2012, à 20:08

voigi

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

Pareil  , je viens de générer les paquets fglrx  via l'installer d'amd  (le tout dernier ) et ca plante a l'installation des paquets .
voila le détail si ça peut aider

(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 410416 files and directories currently installed.)
Unpacking fglrx (from .../fglrx_8.961-0ubuntu1_i386.deb) ...
One or more files have been altered since installation.
Uninstall will not be completed. See /etc/ati/fglrx-uninstall.log for details.
dpkg: error processing /home/voigi/fglrx_8.961-0ubuntu1_i386.deb (--install):
 subprocess new pre-installation script returned error exit status 1
Errors were encountered while processing:
 /home/voigi/fglrx_8.961-0ubuntu1_i386.deb

En ligne

#14 Le 28/04/2012, à 14:44

opt

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

bon, je viens d'essayer la manip présentée ici:
https://help.ubuntu.com/community/BinaryDriverHowto/ATI
en passant par la crétion de paquets .deb... Ben... Ça ne marche pas non plus sad
Je me retrouves avec le pilote libre, qui, lui, assure un fonctionnement correct de Gnome Classisc (alt+tab, espaces de travail...) mais avec des performances à la rammase et l'absence de 3D ;(

En gros, ça progresse pas des masses ;(
Si vous avez d'autres pistes... ^.^

Hors ligne

#15 Le 28/04/2012, à 14:54

opt

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

straet a écrit :

Seb24 propose de réinstaller sans formater son /.  Directement dessus et il dit que cela fonctionne bien aussi

Mouaipf, ça écrasera des configs par ci par là sad
Le seule truc c'est qu'à priori mes liens symboliques SSD -> HDDs devraient être conservés, donc pas à se retaper toute la clique pour avoir un système à peu près performant/réactif et sans trop d"usure"/limitation d'espace (je n'ai qu'un petit SSD et 16To de HDDs)

Peux-tu me mettre un lien vers le topo de Seb24 stp ?

straet a écrit :

Unity je n'aime pas du tout.  J'ai installé, à côté, Gnome 3.

Moi non plus je n'aime pas du tout Unity, ça semble clairement orienté "noob" (tout comme l'évolution globale d'ubuntu où, au fur et à mesure des versions, on a accès à de moins en moins de "choses") alors que j'utilise régulièrement une douzaine d'espaces de travail pour un tas de taches différentes mais utilisée "simultanément", dont un grosse vingtaine de fenêtres web (avec 10-15 onglets chacune), sous Unity c'est la galère sad
Enfin plutot "usage multimédia courant" plutot que noob ^.^ en tout cas pour un usage plus "sérieux" (boulot) c'est galère

Avec Gnome 3 ça semble plus facile à gérer (j'aime assez la vue réduite des fenêtres) un peu moins la gestion de l'ajout des espaces au fur et à mesure du besoin (mais c'est surement une question d'habitude)
Par contre, sur ubuntu 11.10, Gnome3 entrainait une baisse drastique des perfs en 3D alors que ce n'était pas le cas avec GnomeClassic... ou alors, j'ai eu le même problème de pilotes sans trop m'en rendre compte, et j'ai associé la baisse de perf à Gnome 3 ^.^ mais je ne pense pas qu'il s'agissait d'un truc comme ça, il me semble bien avoir zappé plusieurs fois entre Gnome3 et Classic sur une même session et constaté cette énorme baisse de perfs 3D

Dernière modification par opt (Le 28/04/2012, à 15:00)

Hors ligne

#16 Le 28/04/2012, à 15:20

TNZ

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

C'est que tu t'es raté sur une manip' .... as tu lancé l'amdcccle ? Sinon, le xorg.conf ne bouge pas et reste calé sur le pilote d'avant.

Perso sur une KDE, j'ai fait passer les 2 paquets fglrx et fglrx-amdcccle CàD "ATI/AMD proprietary FGLRX graphics driver" dans jockey. Après reboot, ils n'étaient toujours pas "activés" mais ils étaient chargés et fonctionnels. Un  coup de CCC et tout marchait avec les 8.960.

Pour la montée de version avec les 12.4 CàD les 8.961, j'ai fait ceci dans cet ordre :

sudo sh amd-driver-installer-12-4-x86.x86_64.run --buildpkg Ubuntu/precise
sudo dpkg -i fglrx_8.961-0ubuntu1_amd64.deb  
sudo dpkg -i fglrx-amdcccle_8.961-0ubuntu1_amd64.deb
sudo dpkg -i fglrx-dev_8.961-0ubuntu1_amd64.deb

Je n'ai pas désintallé les pilotes existants. Je les ai juste monté de version 8.960 à 8.961. Si toutefois les dpkg ne passent pas, il reste la solution de laisser l'explorateur de fichier choisir l'outil d'installation des paquets debian.

De plus avec synaptic/muon, j'ai rajouté xvba-va-driver : XvBA-based backend for VA API (AMD fglrx implementation) qui sert pour le décodage vidéo.


L'engin : Msi 990FXA-GD65 , FX8350, 8 Go ddr3-1866, Radeon HD7970
Les softs : Ubuntu64 13.10, KDE SC 4.12.0

Hors ligne

#17 Le 28/04/2012, à 15:45

opt

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

TNZ a écrit :

C'est que tu t'es raté sur une manip' .... as tu lancé l'amdcccle ? Sinon, le xorg.conf ne bouge pas et reste calé sur le pilote d'avant.

Perso sur une KDE, j'ai fait passer les 2 paquets fglrx et fglrx-amdcccle CàD "ATI/AMD proprietary FGLRX graphics driver" dans jockey. Après reboot, ils n'étaient toujours pas "activés" mais ils étaient chargés et fonctionnels. Un  coup de CCC et tout marchait avec les 8.960.

bon je vais retenter en commençant par jockey...
qu'entends tu par "un coup de CCC" ? il faut changer quoi par CCC ?

voilà mon xorg.conf actuel (qui  a été modifié en auto aujourd'hui vers 14h36, donc surement après avoir lancé aticonfig ou CCC, même si je ne vois pas où on été faites les modifs !?!)

# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# Note that some configuration settings that could be done previously
# in this file, now are automatically configured by the server and settings
# here are ignored.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "ServerLayout"
    Identifier     "aticonfig Layout"
    Screen      0  "Screen Sony DVI" 0 0
    Screen         "Screen Projecteur" RightOf "Screen Sony DVI"
EndSection

Section "Module"
    Load  "glx"
EndSection

Section "ServerFlags"
    Option        "Xinerama" "off"
    Option        "DontZap" "False"
EndSection

Section "Monitor"
    Identifier   "Monitor Sony DVI"
    Option        "VendorName" "ATI Proprietary Driver"
    Option        "ModelName" "Generic Autodetecting Monitor"
    Option        "DPMS" "true"
EndSection

Section "Monitor"
    Identifier   "Monitor Projecteur"
    Option        "VendorName" "ATI Proprietary Driver"
    Option        "ModelName" "Generic Autodetecting Monitor"
    Option        "DPMS" "true"
EndSection

Section "Device"
    Identifier  "Device pour Sony DVI"
    Driver      "fglrx"
    BusID       "PCI:1:0:0"
EndSection

Section "Device"
    Identifier  "Device pour Projecteur"
    Driver      "fglrx"
    BusID       "PCI:1:0:0"
    Screen      1
EndSection

Section "Screen"
    Identifier "Screen Sony DVI"
    Device     "Device pour Sony DVI"
    Monitor    "Monitor Sony DVI"
    DefaultDepth     24
    SubSection "Display"
        Viewport   0 0
        Depth     24
        Modes    "1280x1024"
    EndSubSection
EndSection

Section "Screen"
    Identifier "Screen Projecteur"
    Device     "Device pour Projecteur"
    Monitor    "Monitor Projecteur"
    DefaultDepth     24
    SubSection "Display"
        Viewport   0 0
        Depth     24
        Modes    "1280x720"
    EndSubSection
EndSection

Dernière modification par opt (Le 28/04/2012, à 15:48)

Hors ligne

#18 Le 28/04/2012, à 18:05

MEH-TECH

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

Bonjour,

Ayant lu vos messages concernant l'installation des pilotes proprio ATI/AMD, et comptant migrer demain vers la 12.04, j'ai décidé de tester pour vous...

Résultat : Tout marche parfaitement avec les catalyst 12.4 en ayant procédé à une installation "classique"

Installation :

sudo sh ./ati-driver-installer-x86.x86_64.run
sudo /usr/bin/aticonfig --initial

Testé pendant une bonne heure tout marche parfaitement la 3D est fluide et mon ventilo tourne à bas régime.

Pour la désinstallation :

sudo aticonfig --uninstall

Et tout se remet dans l'ordre ! Environnement remis à zéro parfaitement !
J'ai eu moi aussi ce problème avec l'ancienne version 11.10 où il m'était impossible d'installer quoi que ce soit et j'ai du me résigner à rester sur les pilotes libres.

Ah oui j'oubliais j'ai testé sur Xubuntu 12.04 x64 car je n'aime pas Unity et j'ai toujours aimé le bureau XFCE donc à moins que ça vienne d'Ubuntu mais normalement si ça marche sur l'un ça doit marcher sur l'autre car sur la 11.10 ce problème était là sur toutes les distributions Ubuntu.

Si vous avez des questions je suis là je continue encore mes tests et pour l'instant tout marche très bien même après plusieurs reboots et configurations.

Cordialement,

P.S : Je dispose d'une radeon HD5670

Dernière modification par MEH-TECH (Le 02/06/2012, à 17:02)

Hors ligne

#19 Le 28/04/2012, à 19:43

opt

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

MEH-TECH a écrit :
sudo sh ./ati-driver-installer-x86.x86_64.run

Où as-tu récupéré ce fichier ?
(Le site AMD me fourni "amd-driver-installer-12-4-x86.x86_64.run")

Hors ligne

#20 Le 28/04/2012, à 20:21

MEH-TECH

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

Excuse-moi de ne pas l'avoir précisé, tu as le bon fichier c'est juste le miens qui a été renommé. C'est bien le fichier  "amd-driver-installer-12-4-x86.x86_64.run" que j'ai récupéré aussi. J'ai recommencé sur un autre ordi avec une radeon HD4650 et pareil tout marche bien. Je ne comprends pas où ça bloque chez toi. Surement des résidus de paquets qui doivent compromettre ton installation étant donné que tu n'as pas formaté complètement ton système si j'ai bien compris. C'est vrai que les mise à niveau je déconseille fortement j'ai toujours eu des problèmes moi aussi et c'est la misère pour trouver d'où ça vient ! C'est pas encore ça pour Ubuntu...

Hors ligne

#21 Le 28/04/2012, à 20:29

opt

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

Ben moi pour le moment quand je tete d'installer les pilotes AMD il me sort toujours un blème avec DKMS sad (cf debut du post)

Je viens de tester en virant complètement mon xorg.conf, l'aticonfig m'en recrée un mais ça ne change rien, les pilotes ne sont toujours pas utilisés sad
Mais je crois me souvenir qu'à une époque Ubuntu n'utilisait plus le /etc/X11/xorg.conf... est-ce toujours d'actualité ?

Hors ligne

#22 Le 28/04/2012, à 20:49

MEH-TECH

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

J'ai lu dernièrement que depuis la version 10.10 et supérieure les fichiers de configurations se trouvent dans le dossier : /usr/share/X11/xorg.conf.d/

Ensuite pour ton problème DKMS possible que ça vienne du noyau utilisé. En le mettant à jour ça foire souvent sur les pilotes si le nettoyage n'a pas été bien fait avant et ça fout le bordel.

Hors ligne

#23 Le 29/04/2012, à 11:56

clement.analogue

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

J'ai déjà essayé toutes ces méthodes. Aucune ne fonctionne. Pour catalyst, j'ai essayé en créant le deb ou en l'installant directement, même résultat, système planté.

MEH-TECH a écrit :

Pour la désinstallation :

sudo aticonfig --uninstall

Et tout se remet dans l'ordre ! Environnement remis à zéro parfaitement !

Je testerai ça si je tente à nouveau d'installer les pilotes catalyst car la méthode dans la doc ne semble plus d'actualité.


Association Ubuntu-Lyon : Organisation d'événements autour d'Ubuntu sur Lyon.

Venez discuter philosophie, exposez vos textes et réflexions, ...
Forum Analogue : Philosophie, sciences, art, actualité, etc.

Hors ligne

#24 Le 29/04/2012, à 12:00

Erlen

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

Salut,

Moi j'ai eut les même problèmes, ce qui étonant c'est que je les ai eut sous 11.10 et sous 12.04, l'installation des pilotes ATI de manière automatique n'a jamais marché. Étonnant qu'aucune vrai solution n'ai été mise en place.
MEH-TECH sur la procédure pour installer les pilotes, à ceci près qu'il faut supprimer tout ce qui à trait avec fglrx.

sudo sh /usr/share/ati/fglrx-uninstall.sh
sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx

Et comme ça tout se passe bien. Même si perso depuis que les drivers sont installés, la barre latérale ne s'efface plus lors de la maximisation des fenêtres.


Ubuntu 12.04 intel i5-2450m/intel HD graphic family/ Radeon HD 7470m

Hors ligne

#25 Le 29/04/2012, à 12:48

Kurt4

Re : ATI/AMD proprietary FGLRX graphics driver (post-release updates)

Bonjour,

J'ai lu votre discussion et je me pose une question qui peut sembler un peu idiote..
Avec le pilote propriétaire on aurait d'avantage de fluidité sur la 3D mais, si on évite les jeux et qu'on se concentre juste sur l'interface avec les effets de compiz par défaut. Est il pas mieux d'utiliser le pilote libre ?

Puisque j'ai remarquer que ces effets était plus "fluide" avec le pilote libre..


PC : Dual Core E8500 - Readon HD 5850 - 4 go de ram 1066Mhz
Laptop : AMD Sempron 2.10 Ghz - AMD HD 3000 - 2.75 go ram

Hors ligne

Haut de page ↑